package containers.borderPaneEx;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Pohjelma BorderPanen esittelyyn. Mallilomake
 * luodaan ohjelmallisesti 
 * @author vesal
 * @version 24.12.2015
 */
public class BorderPaneCode extends Application {
    /**
     * Esimerkki miten BorderPanea kytetn ohjelmasta
     */
    @Override
    public void start(Stage stage) {
        try {
            BorderPane root = new BorderPane();
            Scene scene = new Scene(root, 400, 400);
            stage.setScene(scene);
            stage.setTitle("BorderPane");
            stage.show();

            root.setLeft(CenterText("vasen", "red"));
            root.setRight(CenterText("oikea", "green"));
            root.setTop(CenterText("ylosa", "yellow"));
            root.setBottom(CenterText("alaosa", "lightblue"));
            root.setCenter(CenterText("keskiosa", "lightgray"));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    /**
     * Kynnistetn sovellus
     * @param args kutsun parametrit, kytt riippuu Application luokasta
     */
    public static void main(String[] args) {
        launch(args);
    }


    /**
     * Luodaan Pane, jonka keskell on teksti
     * @param teksti mik teksti keskelle
     * @param taustavari mill vrill tausta
     * @return Pane, jonka keskell on teksti
     */
    public static Pane CenterText(String teksti, String taustavari) {
        BorderPane bp = new BorderPane();
        bp.setCenter(new Label(teksti));
        bp.setStyle("-fx-background-color: " + taustavari + ";");
        return bp;
    }
}
