package fi.jyu.mit.fxgui;

import java.util.ArrayList;
import javafx.beans.value.ChangeListener;
import javafx.scene.control.CheckBox;

/**
 * Simple CheckBoxchooser
 * @author terop
 *@version 13.1.2017
 * @param <T> type of objects to save
 */
public class CheckBoxChooser<T> extends BaseBoxChooser<T, CheckBox> {

	@Override
	protected void removeListener(CheckBox node, ArrayList<ChangeListener<Boolean>> list) {
		for (ChangeListener<Boolean> changeListener : list) {
			node.selectedProperty().removeListener(changeListener);
		}
		
	}


	@Override
	protected CheckBox addCorrectComponent(String name, T object) {
		CheckBox box = new CheckBox(name);
		box.setMnemonicParsing(true);
		return box;
	}

	
	@Override
	protected void addChangeListener(CheckBox box, ChangeListener<Boolean> listener) {
		box.selectedProperty().addListener(listener);
	}


	@Override
	protected boolean isComponentSelected(CheckBox component) {
		return component.selectedProperty().get();
	}



	
	
    @Override
    protected boolean setComponentSelected(CheckBox component, boolean value) {
        boolean oldSelect = isComponentSelected(component);
        component.selectedProperty().set(value);
        return oldSelect;
    }



}
