package fi.jyu.mit.fxgui;

/**
 * Packeting class to hold the name alongside the actual object
 * @author Tero Paavolainen
 * @version 9.1.2017
 * @param <T> mitä luokkaa tallennetaan
 */
public class StringAndObject<T> {
	private String name;
	private T object;
	
	/**
	 * Creates a string and object -object for storing data
	 * @param name the displayed object name
	 * @param obj the object that is stored
	 */
	public StringAndObject(String name,T obj){
		this.setName(name);
		this.setObject(obj);
	}
	
	
	@Override
	public String toString(){
		return getName() != null ? getName() : getObject().toString();
	}


	/**
	 * Returns the name of the pair
	 * @return name
	 */
	public String getName() {
		return name;
	}


	/**
	 * Sets the name of the pair
	 * @param name name for pair
	 */
	public void setName(String name) {
		this.name = name;
	}


	/**
	 * Returns the object of the pair
	 * @return object
	 */
	public T getObject() {
		return object;
	}


	/**
	 * Sets the object of the pair
	 * @param object the new object
	 */
	public void setObject(T object) {
		this.object = object;
	}
}